Categories:
  - Reading
License: GPL-3.0-or-later
AuthorName: Librera
AuthorEmail: librera.reader@gmail.com
WebSite: https://librera.mobi/
SourceCode: https://github.com/foobnix/LibreraReader
IssueTracker: https://github.com/foobnix/LibreraReader/issues
Changelog: https://librera.mobi/wiki/what-is-new/

AutoName: ${appName}

RepoType: git
Repo: https://github.com/foobnix/LibreraReader.git

Builds:
  - versionName: 8.0.38-fdroid
    versionCode: 1098
    commit: 8.0.39
    subdir: app/
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y g++-6 mesa-common-dev libxcursor-dev libxrandr-dev libxinerama-dev
        libgl1-mesa-dev
    gradle:
      - fdroid
    srclibs:
      - MuPDF@1.11
    rm:
      - Builder/libs/
    prebuild:
      - sed -i -e '/DexClassLoader/d' -e '/clazz/d' src/main/java/com/foobnix/sys/BitmapActivity.java
      - sed -i -e '/splits/,+9d' -e '/applicationVariants/,+13d' -e '/a_copyApks/,+10d'
        build.gradle
      - sed -i -e '/git clone/d' -e 's#cd mupdf-1.11#pushd '$PWD'/$$MuPDF$$#' -e 's#/home/ivan-dev/git/LibreraReader/Builder/mupdf-1.11#'$PWD'/$$MuPDF$$#'
        -e 's#/home/ivan-dev/git/LibreraReader/app/src/main/jniLibs#'$PWD'/src/main/jniLibs#'
        -e 's#cd \.\.#popd#' ../Builder/link_to_mupdf_1.11.sh
      - mkdir src/main/jniLibs/
    scandelete:
      - Builder/
    build:
      - pushd ../Builder/
      - ./link_to_mupdf_1.11.sh
    ndk: r17c

  - versionName: 8.1.191-fdroid
    versionCode: 1930
    commit: 8.1.191
    subdir: app/
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y g++-6 mesa-common-dev libxcursor-dev libxrandr-dev libxinerama-dev
        libgl1-mesa-dev
    gradle:
      - fdroid
    srclibs:
      - MuPDF@1.11
    rm:
      - Builder/libs/
    prebuild:
      - sed -i -e '/F-DROID REMOVE THIS LINE/,+1d' ../build.gradle
      - sed -i -e '/DexClassLoader/d' -e '/clazz/d' src/main/java/com/foobnix/sys/BitmapActivity.java
      - sed -i -e '/splits/,+9d' -e '/applicationVariants/,+13d' -e '/a_copyApks/,+10d'
        -e '/F-DROID REMOVE THIS LINES BEGIN/,/F-DROID REMOVE THIS LINES END/d' -e
        '/F-DROID REMOVE THIS LINE/,+1d' build.gradle
      - sed -i -e '/git clone/d' -e 's#cd mupdf-1.11#pushd '$PWD'/$$MuPDF$$#' -e 's#/home/ivan-dev/git/LibreraReader/Builder/mupdf-1.11#'$PWD'/$$MuPDF$$#'
        -e 's#/home/ivan-dev/git/LibreraReader/app/src/main/jniLibs#'$PWD'/src/main/jniLibs#'
        -e 's#cd \.\.#popd#' ../Builder/link_to_mupdf_1.11.sh
      - mkdir src/main/jniLibs/
    scandelete:
      - Builder/
    build:
      - pushd ../Builder/
      - ./link_to_mupdf_1.11.sh
    ndk: r17c

  - versionName: 8.1.275-fdroid
    versionCode: 3136
    commit: 8.1.275
    subdir: app/
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y g++-6 mesa-common-dev libxcursor-dev libxrandr-dev libxinerama-dev
        libgl1-mesa-dev
    gradle:
      - fdroid
    srclibs:
      - MuPDF@1.16.1
    rm:
      - Builder/libs/
    prebuild:
      - sed -i -e '/F-DROID REMOVE THIS LINE/,+1d' ../build.gradle
      - sed -i -e '/com.google.gms.google-services/d' -e '/com.google.android.gms/d'
        -e '/com.cloudrail/d' build.gradle
      - sed -i -e '/git clone/d' -e 's#cd mupdf-1.16.1#pushd '$PWD'/$$MuPDF$$#' -e
        's#/home/ivan-dev/git/LibreraReader/Builder/mupdf-1.16.1#'$PWD'/$$MuPDF$$#'
        -e 's#/home/ivan-dev/git/LibreraReader/app/src/main/jniLibs#'$PWD'/src/main/jniLibs#'
        -e 's#cd \.\.#popd#' ../Builder/link_to_mupdf_1.16.1.sh
      - mkdir src/main/jniLibs/
    scandelete:
      - Builder/
    build:
      - pushd ../Builder/
      - ./link_to_mupdf_1.16.1.sh
    ndk: r17c

  - versionName: 8.1.305-fdroid
    versionCode: 3270
    commit: 8.1.305
    subdir: app/
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y g++-6 mesa-common-dev libxcursor-dev libxrandr-dev libxinerama-dev
        libgl1-mesa-dev
    gradle:
      - fdroid
    srclibs:
      - MuPDF@1.16.1
    rm:
      - Builder/libs/
    prebuild:
      - sed -i -e '/F-DROID REMOVE THIS LINE/,+1d' ../build.gradle
      - sed -i -e '/com.google.gms.google-services/d' -e '/com.google.android.gms/d'
        -e '/com.cloudrail/d' -e '/include "armeabi-v7a", "arm64-v8a"/d' build.gradle
      - sed -i -e '/git clone/d' -e 's#cd mupdf-1.16.1#pushd '$PWD'/$$MuPDF$$#' -e
        's#/home/ivan-dev/git/LibreraReader/Builder/mupdf-1.16.1#'$PWD'/$$MuPDF$$#'
        -e 's#/home/ivan-dev/git/LibreraReader/app/src/main/jniLibs#'$PWD'/src/main/jniLibs#'
        -e 's#cd \.\.#popd#' ../Builder/link_to_mupdf_1.16.1.sh
      - mkdir src/main/jniLibs/
    scandelete:
      - Builder/
    build:
      - pushd ../Builder/
      - ./link_to_mupdf_1.16.1.sh
    ndk: r17c

  - versionName: 8.2.11-fdroid
    versionCode: 3420
    commit: 8.2.11
    subdir: app/
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y g++-6 mesa-common-dev libxcursor-dev libxrandr-dev libxinerama-dev
        libgl1-mesa-dev
    gradle:
      - fdroid
    srclibs:
      - MuPDF@1.16.1
    rm:
      - Builder/libs/
    prebuild:
      - sed -i -e '/F-DROID REMOVE THIS LINE/,+1d' ../build.gradle
      - sed -i -e '/com.google.gms.google-services/d' -e '/com.google.android.gms/d'
        -e '/com.cloudrail/d' -e '/include "armeabi-v7a", "arm64-v8a"/d' build.gradle
      - sed -i -e '/git clone/d' -e 's#cd mupdf-$VERSION#pushd '$PWD'/$$MuPDF$$#'
        -e 's#/home/ivan-dev/git/LibreraReader/Builder/mupdf-$VERSION#'$PWD'/$$MuPDF$$#'
        -e 's#/home/ivan-dev/git/LibreraReader/app/src/main/jniLibs#'$PWD'/src/main/jniLibs#'
        -e 's#cd \.\.#popd#' ../Builder/link_to_mupdf_1.16.1.sh
      - mkdir src/main/jniLibs/
    scandelete:
      - Builder/
    build:
      - pushd ../Builder/
      - ./link_to_mupdf_1.16.1.sh
    ndk: r17c

  - versionName: 8.2.29-fdroid
    versionCode: 3484
    commit: 8.2.29
    subdir: app/
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y g++-6 mesa-common-dev libxcursor-dev libxrandr-dev libxinerama-dev
        libgl1-mesa-dev
    gradle:
      - fdroid
    srclibs:
      - MuPDF@1.16.1
    rm:
      - Builder/libs/
    prebuild:
      - sed -i -e '/F-DROID REMOVE THIS LINE/,+1d' ../build.gradle
      - sed -i -e '/com.google.gms.google-services/d' -e '/com.google.android.gms/d'
        -e '/com.cloudrail/d' -e '/include "armeabi-v7a", "arm64-v8a"/d' build.gradle
      - sed -i -e '/git clone/d' -e 's#cd mupdf-$VERSION#pushd '$PWD'/$$MuPDF$$#'
        -e 's#/home/ivan-dev/git/LibreraReader/Builder/mupdf-$VERSION#'$PWD'/$$MuPDF$$#'
        -e 's#/home/ivan-dev/git/LibreraReader/app/src/main/jniLibs#'$PWD'/src/main/jniLibs#'
        -e 's#cd \.\.#popd#' ../Builder/link_to_mupdf_1.16.1.sh
      - mkdir src/main/jniLibs/
    scandelete:
      - Builder/
    build:
      - pushd ../Builder/
      - ./link_to_mupdf_1.16.1.sh
    ndk: r17c

  - versionName: 8.2.43-fdroid
    versionCode: 3536
    commit: 8.2.43
    subdir: app/
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y g++-6 mesa-common-dev libxcursor-dev libxrandr-dev libxinerama-dev
        libgl1-mesa-dev
    gradle:
      - fdroid
    srclibs:
      - MuPDF@1.16.1
    rm:
      - Builder/libs/
    prebuild:
      - sed -i -e '/F-DROID REMOVE THIS LINE/,+1d' ../build.gradle
      - sed -i -e '/com.google.gms.google-services/d' -e '/com.google.android.gms/d'
        -e '/com.cloudrail/d' -e '/include "armeabi-v7a", "arm64-v8a"/d' build.gradle
      - sed -i -e '/git clone/d' -e 's#cd mupdf-$VERSION#pushd '$PWD'/$$MuPDF$$#'
        -e 's#/home/ivan-dev/git/LibreraReader/Builder/mupdf-$VERSION#'$PWD'/$$MuPDF$$#'
        -e 's#/home/ivan-dev/git/LibreraReader/app/src/main/jniLibs#'$PWD'/src/main/jniLibs#'
        -e 's#cd \.\.#popd#' ../Builder/link_to_mupdf_1.16.1.sh
      - mkdir src/main/jniLibs/
    build:
      - pushd ../Builder/
      - ./link_to_mupdf_1.16.1.sh
    ndk: r17c

  - versionName: 8.3.19-fdroid
    versionCode: 3636
    commit: 8.3.19
    subdir: app/
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y g++-6 mesa-common-dev libxcursor-dev libxrandr-dev libxinerama-dev
        libgl1-mesa-dev
    gradle:
      - fdroid
    srclibs:
      - MuPDF@1.16.1
    rm:
      - Builder/libs/
    prebuild:
      - sed -i -e '/F-DROID REMOVE THIS LINE/,+1d' ../build.gradle
      - sed -i -e '/com.google.gms.google-services/d' -e '/com.google.android.gms/d'
        -e '/com.cloudrail/d' -e '/include "armeabi-v7a", "arm64-v8a"/d' build.gradle
      - sed -i -e '/git clone/d' -e 's#cd mupdf-$VERSION#pushd '$PWD'/$$MuPDF$$#'
        -e 's#/home/ivan-dev/git/LibreraReader/Builder/mupdf-$VERSION#'$PWD'/$$MuPDF$$#'
        -e 's#/home/ivan-dev/git/LibreraReader/app/src/main/jniLibs#'$PWD'/src/main/jniLibs#'
        -e 's#cd \.\.#popd#' ../Builder/link_to_mupdf_1.16.1.sh
      - mkdir src/main/jniLibs/
    build:
      - pushd ../Builder/
      - ./link_to_mupdf_1.16.1.sh
    ndk: r17c

  - versionName: 8.3.22-fdroid
    versionCode: 3660
    commit: 8.3.22
    subdir: app/
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y g++-6 mesa-common-dev libxcursor-dev libxrandr-dev libxinerama-dev
        libgl1-mesa-dev
    gradle:
      - fdroid
    srclibs:
      - MuPDF@1.16.1
    rm:
      - Builder/libs/
    prebuild:
      - sed -i -e '/F-DROID REMOVE THIS LINE/,+1d' ../build.gradle
      - sed -i -e '/com.google.gms.google-services/d' -e '/com.google.android.gms/d'
        -e '/com.cloudrail/d' -e '/include "armeabi-v7a", "arm64-v8a"/d' build.gradle
      - sed -i -e '/git clone/d' -e 's#cd mupdf-$VERSION#pushd '$PWD'/$$MuPDF$$#'
        -e 's#/home/ivan-dev/git/LibreraReader/Builder/mupdf-$VERSION#'$PWD'/$$MuPDF$$#'
        -e 's#/home/ivan-dev/git/LibreraReader/app/src/main/jniLibs#'$PWD'/src/main/jniLibs#'
        -e 's#cd \.\.#popd#' ../Builder/link_to_mupdf_1.16.1.sh
      - mkdir src/main/jniLibs/
    build:
      - pushd ../Builder/
      - ./link_to_mupdf_1.16.1.sh
    ndk: r17c

  - versionName: 8.3.28-fdroid
    versionCode: 3684
    commit: 8.3.28
    subdir: app/
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y g++-6 mesa-common-dev libxcursor-dev libxrandr-dev libxinerama-dev
        libgl1-mesa-dev
    gradle:
      - fdroid
    srclibs:
      - MuPDF@1.16.1
    rm:
      - Builder/libs/
    prebuild:
      - sed -i -e '/F-DROID REMOVE THIS LINE/,+1d' ../build.gradle
      - sed -i -e '/com.google.gms.google-services/d' -e '/com.google.android.gms/d'
        -e '/com.cloudrail/d' -e '/include "armeabi-v7a", "arm64-v8a"/d' build.gradle
      - sed -i -e '/git clone/d' -e 's#cd mupdf-$VERSION#pushd '$PWD'/$$MuPDF$$#'
        -e 's#/home/ivan-dev/git/LibreraReader/Builder/mupdf-$VERSION#'$PWD'/$$MuPDF$$#'
        -e 's#/home/ivan-dev/git/LibreraReader/app/src/main/jniLibs#'$PWD'/src/main/jniLibs#'
        -e 's#cd \.\.#popd#' ../Builder/link_to_mupdf_1.16.1.sh
      - mkdir src/main/jniLibs/
    build:
      - pushd ../Builder/
      - ./link_to_mupdf_1.16.1.sh
    ndk: r17c

  - versionName: 8.3.39-fdroid
    versionCode: 3728
    commit: 8.3.39
    subdir: app/
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y g++ mesa-common-dev libxcursor-dev libxrandr-dev libxinerama-dev
        libglu1-mesa-dev libxi-dev
    gradle:
      - fdroid
    srclibs:
      - MuPDF@1.16.1
    rm:
      - Builder/libs/
    prebuild:
      - sed -i -e '/F-DROID REMOVE THIS LINE/,+1d' ../build.gradle
      - sed -i -e '/com.google.gms.google-services/d' -e '/com.google.android.gms/d'
        -e '/com.cloudrail/d' -e '/include "armeabi-v7a", "arm64-v8a"/d' build.gradle
      - sed -i -e '/^#!/a\set -e' -e 's|git clone .*|ln -s $$MuPDF$$ mupdf-$VERSION|'
        -e 's/ndk-build $1/& -j`nproc` || exit 1/' ../Builder/link_to_mupdf_1.16.1.sh
      - mkdir src/main/jniLibs/
    build:
      - pushd ../Builder/
      - ./link_to_mupdf_1.16.1.sh
    ndk: r21

  - versionName: 8.3.45-fdroid
    versionCode: 3772
    commit: 8.3.45
    subdir: app/
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y g++ mesa-common-dev libxcursor-dev libxrandr-dev libxinerama-dev
        libglu1-mesa-dev libxi-dev
    gradle:
      - fdroid
    srclibs:
      - MuPDF@1.16.1
    rm:
      - Builder/libs/
    prebuild:
      - sed -i -e '/F-DROID REMOVE THIS LINE/,+1d' ../build.gradle
      - sed -i -e '/com.google.gms.google-services/d' -e '/com.google.android.gms/d'
        -e '/com.cloudrail/d' -e '/include "armeabi-v7a", "arm64-v8a"/d' build.gradle
      - sed -i -e '/^#!/a\set -e' -e 's|git clone .*|ln -s $$MuPDF$$ mupdf-$VERSION|'
        -e 's/ndk-build $1/& -j`nproc` || exit 1/' ../Builder/link_to_mupdf_1.16.1.sh
      - mkdir src/main/jniLibs/
    build:
      - pushd ../Builder/
      - ./link_to_mupdf_1.16.1.sh
    ndk: r21

MaintainerNotes: Upstream builds separate APKs for each architecture but we build
    an universal APK.

AutoUpdateMode: Version +-fdroid %v
UpdateCheckMode: HTTP
UpdateCheckData: https://raw.githubusercontent.com/foobnix/LibreraReader/master/app/build.gradle|\s+FDroidCodeNumber
    = (\d+)|.|\s+FDroidVersionNumber = "([^\"]+)"
CurrentVersion: 8.3.45
CurrentVersionCode: 3772
